%module imgdb

%include "std_vector.i"

// Instantiate templates used by example
namespace std {
   %template(IntVector) vector<int>;
   %template(DoubleVector) vector<double>;
}

void initDbase();
void closeDbase();
int addImage(const long int id, char* filename,char* thname,int doThumb,int ignDim = 0);
int loaddb(char* filename) ;
int savedb(char* filename) ;
int resetdb(void);
std::vector<double> queryDataFromSig(int numres, float thres,const std::vector<double>& avgl, const std::vector<int>& psigs);
std::vector<double> queryDataFromID(int numres, float thres,int scanned, long int id);
std::vector<double> calcSig(char* filename);
void removeID(long int id);
